Retrieve Document Export Results
After submitting a request to export documents from your Vault, you can query your Vault to determine the results of the request.
Before submitting this request:
- You must have previously requested a document export job (via the API) which is no longer active.
- You must have a valid
job_idvalue (retrieved from the document export binder request above). - You must be a Vault Owner, System Admin or the user who initiated the job.
GET
/api/{version}/objects/documents/batch/actions/fileextract/{jobid}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The id value of the requested export job. This is returned with the export document requests above. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.1/objects/documents/batch/actions/fileextract/82701/resultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 23,
"major_version_number__v": 0,
"minor_version_number__v": 1,
"file": "/82701/23/0_1/New Document.png",
"user_id__v": 88973
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information: